/* =======================================================
		commons, mobile first
======================================================== */

@color-uno: #6d1f15;
@color-dos: #350906;
@color-tres: #030303;

.gradient() {
	background: #e5e6e6; /* Old browsers */
	background: -moz-linear-gradient(top,  #e5e6e6 0%, #fefefe 50%, #e5e6e6 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#e5e6e6), color-stop(50%,#fefefe), color-stop(100%,#e5e6e6)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #e5e6e6 0%,#fefefe 50%,#e5e6e6 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #e5e6e6 0%,#fefefe 50%,#e5e6e6 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #e5e6e6 0%,#fefefe 50%,#e5e6e6 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #e5e6e6 0%,#fefefe 50%,#e5e6e6 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e5e6e6', endColorstr='#e5e6e6',GradientType=0 ); /* IE6-9 */
}

.g-black() {
background: -moz-linear-gradient(top,  rgba(140,140,140,0) 0%, rgba(0,0,0,0.9) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(140,140,140,0)), color-stop(100%,rgba(0,0,0,0.9))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(140,140,140,0) 0%,rgba(0,0,0,0.9) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(140,140,140,0) 0%,rgba(0,0,0,0.9) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(140,140,140,0) 0%,rgba(0,0,0,0.9) 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(140,140,140,0) 0%,rgba(0,0,0,0.9) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#008c8c8c', endColorstr='#e6000000',GradientType=0 ); /* IE6-9 */
}

.g-blue() {
	background: -moz-linear-gradient(top,  rgba(9,83,158,0) 0%, rgba(9,83,158,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(9,83,158,0)), color-stop(100%,rgba(9,83,158,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(9,83,158,0) 0%,rgba(9,83,158,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(9,83,158,0) 0%,rgba(9,83,158,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(9,83,158,0) 0%,rgba(9,83,158,1) 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(9,83,158,0) 0%,rgba(9,83,158,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#0009539e', endColorstr='#09539e',GradientType=0 ); /* IE6-9 */
}

.node-type-producciones .degradado {
	//.deg-negro-trans();
	.deg-blanco();
}

.producciones {
	.clearfix();
	position: relative;
	width: 100%;
	font-size: 14px;
}
.node-type-producciones .degradado {margin-top: 5px;}
.color_seccion_barra{
	height: 5px;	
}
.producciones .region .BCLvideoWrapper {
	/* reset brightcove */
	position: static;
	padding-bottom: 0;
}

/* colors ------------------------------------------ */
.producciones .region { color: white; }

.producciones-video { background-color: @color-tres; }

.producciones-header,
.producciones-personajes,
.producciones-ficha { background-color: @color-uno; }

.producciones-sinopsis,
.producciones-galeria { background-color: @color-dos; }

/* commons -------------------------------------- */

.producciones .region { padding-left: 15px; padding-right: 15px; } 

.producciones .region .group-cabezote img { width: 100%; height: auto; }

.producciones .region h3,
.producciones-ficha .field-name-field-ficha-tecnica .field-label,
.producciones-relacionadas .field-label,
.producciones-video .field-name-field-galeria-videos .field-label,
.producciones-relacionadas .block-title {
	font-size: 30px;
	margin: 0.7em 0;
	.regular();
}

/* Encabezado 
--------------------------------------------------------- */
.producciones-header { 
	overflow: hidden; 
	position: relative;
}

.producciones-header .field-name-field-imagen {
	position: fixed;
	top: 5px;
	left: 50%;
	transform: translate(-50%, 0);

	img { 
		opacity: 0;
		.transition(all 0.7s ease-in-out);
		transform: scale(10);
	}

	img.animate-img {
		opacity: 1;
		transform: scaleY(1);
	}
}

.producciones .region .field-name-field-img-titulo {
	margin-bottom: 30px;
}

.producciones .region .group-cabezote { position: relative; z-index: 1; }

.producciones .region .field-name-field-capitulos {
	display: inline-block;
	vertical-align: top;
	padding: 2px 8px;
	border-radius: 5px;
	font-size: 14px;
	color: white;
}

.producciones .region .buscar_field_seccion { 
	border-top-right-radius: 0px;
	border-bottom-right-radius: 0px;
}
.producciones .region .field-name-field-seccion{
	float: left;
	.color-seccion{
		border-top-right-radius: 0px;
		border-bottom-right-radius: 0px;
	}
}
.producciones .region .field-name-field-capitulos { 
	//background-color: @naranja-oscuro;
	border-top-left-radius: 0px;
	border-bottom-left-radius: 0px;
	float: left;
	padding: 0px;
	.color-capitulo{
		padding: 7px 10px;
		border-top-right-radius: 5px;
		border-bottom-right-radius: 5px;
	}
	.field-label { 
		font-weight: 300 !important;
		/* fix safari */ 
		float: none; 
		display: inline; 
	}
}
.producciones .region .field-name-field-fecha{
	float: left;
}
.producciones .region .buscar_field_fecha {
	background-color: @negro;
	margin-left: 5px;
	padding: 7px 9px;
}

/* redes --------------------------------- */
.producciones .field-name-social-network ul li a {
	width: 40px;
	height: 40px;
	background-position: 0 -40px;
}

/* Encabezado, video 
-------------------------------------------------------------- */
.producciones .region .field-group-htabs-wrapper { 
	.clearfix();
	margin-top: 20px;
	margin-bottom: 20px;
}

.producciones .region .field-group-htabs-wrapper .horizontal-tabs { 
	border: 7px solid #2A2424;
	border-top-right-radius: 5px;
	border-top-left-radius: 5px;
	margin-bottom: 60px; 
}


	/* tabs -------------------- */
	.producciones-header .group-videos.field-group-htabs.ocultar .horizontal-tabs .horizontal-tabs-list { 
		/* si solo hay una tab se oculta */
		display:none;
	}

	.producciones .region .field-group-htabs-wrapper ul.horizontal-tabs-list {
		display: block;
		position: absolute;
		width: auto;
		bottom: -48px;
		left: -7px;
		right: -7px;
		padding: 5px 0;
		border: none;
		border-bottom-right-radius: 5px;
		border-bottom-left-radius: 5px;
		background-color: #2a2424;
		text-align: center;
		z-index: 10;

		li {
			display: inline-block;
			float: none;
			margin: 5px 0;
			border: 2px solid #100e0f;
			background-color: #100e0f;

			text-align: center;

			a { 
				padding: 2px 15px;
				border-radius: 20px;

				.regular();
				color: #5f5f5f;

				&:hover { background: transparent; }

				strong { .regular(); }
			}
		}

		li.horizontal-tab-button-0 { 
			border-top-left-radius: 20px;
			border-bottom-left-radius: 20px; 
		}

		li.horizontal-tab-button-1 {
			border-top-right-radius: 20px;
			border-bottom-right-radius: 20px; 
		}

		li.selected a, li.selected a:hover {
			.gradient();

			strong { color: #444; }
		}
	}

	/* panel ------------------- */
	.producciones .region .field-group-htabs-wrapper .horizontal-tabs-panes fieldset {
		width: 100%;
		padding: 0;
		margin: 0;

		.content::before { 
			content: '';
			display: block;
			padding-top: 62%; /* aspect ratio */
		}
	}

	.producciones .region .field-group-htabs-wrapper .horizontal-tabs-panes fieldset iframe,
	.producciones .region .field-group-htabs-wrapper .horizontal-tabs-panes fieldset .content img {
		position: absolute;
		width: 100%;
		height: 100%;
		left: 0;
		top: 0;
		right: 0;
		bottom: 0;
	}

/* Sinopsis
--------------------------------------------------------------- */
.producciones-sinopsis { padding-bottom: 10px; z-index: 2; }

@media (max-width: 1450px) {
	.producciones-sinopsis { opacity: 0.9; }
}


.producciones-sinopsis .field-name-body { overflow: hidden; }

/* personajes 
--------------------------------------------------------------- */

.producciones .region .flexslider {
	background: transparent;
	border: none;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	-ms-box-shadow: none;
	-o-box-shadow: none;
	box-shadow: none;
}

.producciones-personajes .flexslider .flex-prev,
.producciones-personajes .flexslider .flex-next { 
	text-indent: -9999px;
	font-size: 0;
	width: 25px;
	height: 32px;
	&::before { .hidden(); }
}

.producciones-personajes .flexslider .flex-prev { background-image: url(../img/home_produccion/flecha_01.png); }
.producciones-personajes .flexslider .flex-next { background-image: url(../img/home_produccion/flecha_02.png); }

.producciones-personajes .region .field-name-field-imagen {

	img { height: auto; }
}

.producciones .region .buscar_field_actor { 
	vertical-align: top;
	font-size: 19px;
	color: #f39089;

	&::before {
		content:'';
		display: inline-block;
		width: 25px;
		height: 25px;
		background: url(../img/usuario.png) no-repeat;
		background-size: 100%;
	}
}

.producciones .region .flexslider .field-name-field-persona { 
	padding-bottom: 15px;
	vertical-align: bottom;
	line-height: 26px;
	font-size: 29px; 

	.field-label {
		padding-top: 4px;
		font-weight: 400;
		font-size: 16px; 
	}
}

/* producciones-galeria ---------------------------------------- */
.producciones-galeria .flexslider .flex-control-thumbs {
	margin-top: 0;
	padding: 0 3px;
	background-color: #151515;
	width: ~"calc(100% - 100px)";
	float: right;
	height: 49px;
}
.producciones-galeria .flexslider .flex-pauseplay{
	display: inline-block;
	float: left;
	a{
		width: 50px;
		height: 49px;
		position: static;
		color: white;
		background: #191919;
		padding: 15px;
		opacity: 1;
		float: left;
		&:before{
			margin-bottom: 20px;
		}
	}
}

/* producciones-video ---------------------------------------- */
.producciones-video .flex-control-nav,
.producciones-video #node_producciones_full_group_video > h3 { .hidden(); }

.producciones-galeria .flexslider,
.producciones-video .flexslider {

	.flex-next,
	.flex-prev {
		text-indent: -9999px;
		font-size: 0;
		background-repeat: no-repeat;
		background-size: 100%;

		&::before { .hidden(); }
	}

	.flex-next { 
		background-image: url(../img/home_produccion/flecha-next.png);
	}

	.flex-prev { 
		background-image: url(../img/home_produccion/flecha-prev.png);
	}
}

.producciones-galeria .flexslider .slides li{
	position: relative;
}

.producciones-video .field-name-field-descripcion { text-align: center; padding-top: 20px; }

/* panel ------------------- */
.producciones .region .field-name-field-videos {
	width: 100%;

	.content { position: relative; }

	.content::before { 
		content: '';
		display: block;
		padding-top: 62%; /* aspect ratio */
	}
}

.producciones .region .field-name-field-videos .content iframe,
.producciones .region .field-name-field-videos .content img {
	position: absolute;
	width: 100%;
	height: 100%;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
}

/* ficha tecnica ----------------------------------------------- */
.producciones-ficha { padding-bottom: 50px; }

.producciones .field-name-field-ficha-tecnica { 
	.clearfix();
}

.producciones-ficha .field-name-field-ficha-tecnica .entity-field-collection-item {
	.field-name-field-titulo,
	.field-name-field-valor { float: left; }

	.field-name-field-titulo {
		color: #c5c6c8;
		margin-right: 10px;
		&::after { content:':'; }
	}
}

	/* toggle --------- */
	.producciones-ficha .field-name-field-ficha-tecnica {
		.transition(all 0.5s ease-in-out);
		height: 75px;
		-webkit-perspective: 500px; /* Chrome, Safari, Opera */
		perspective: 500px;
		overflow: hidden; 
	}

	.producciones-ficha.active .field-name-field-ficha-tecnica {
		height: auto;
		.field-label::after {
			-webkit-transform: rotate(90deg);
			-moz-transform: rotate(90deg);
			-ms-transform: rotate(90deg);
			-o-transform: rotate(90deg);
			transform: rotate(90deg);
		}
	}

	.producciones-ficha .field-name-field-ficha-tecnica .field-label {
		position: relative;
		cursor: pointer;
		&::after {
			content: '';
			.transition(all 0.5s ease-in-out);
			position: absolute;
			display: block;
			width: 20px;
			height: 23px;
			right: 0;
			top: 10px;
			margin-left: 17px;
			-webkit-background-size: 100% 100%;
			background-size: 100%;
			background-image: url(../img/home_produccion/flecha_01.png);
			cursor: pointer;

			-webkit-transform: rotate(-90deg);
			-moz-transform: rotate(-90deg);
			-ms-transform: rotate(-90deg);
			-o-transform: rotate(-90deg);
			transform: rotate(-90deg);
		}
	}

.producciones-ficha .flex-control-nav.flex-control-paging { .hidden(); }

/* noticias relacionadas ------------------------------------- */
.producciones-ficha .field-name-social-network { .hidden(); }

.producciones-ficha .flexslider .group-right h2 a {
	text-decoration: none;
	.regular();
	color: white;
}

.producciones-ficha .region .buscar_field_seccion { border-radius: 5px; }


/* producciones relacionadas ---------------------------------------------------- */
.producciones-relacionadas { 
	background-color: #030303;

	h2 { margin: 5px 0 0; .regular(); }

	h2 a,
	h2 a:hover { color: white; }
}

.producciones-relacionadas .region .buscar_field_seccion { border-radius: 5px; }
.section-produccion .producciones-relacionadas .field-name-field-seccion .color-seccion{
	padding: 0px;
}
.section-produccion .producciones-relacionadas .buscar_field_fecha{
	padding: 2px 9px;
	margin-left: 0px;
}